• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
PHP Spark Error

#1
Evening guys,
I have been using CI4 for a while preparing a new website.  Have updated from 4 to 4.0.2 tonight, and now have a need to re-run the database migrations, however any PHP spark command gives:

An uncaught Exception was encountered

Type:        ErrorException
Message:     Trying to get property 'maxDepth' of non-object
Filename:    /Users/DevUser/CI4Project/Code/vendor/codeigniter4/framework/system/CodeIgniter.php
Line Number: 232

Backtrace:
-232 - /Users/DevUser/CI4Project/Code/vendor/codeigniter4/framework/system/CodeIgniter.php::errorHandler
-193 - /Users/DevUser/CI4Project/Code/vendor/codeigniter4/framework/system/CodeIgniter.php::initializeKint
-168 - /Users/DevUser/CI4Project/Code/vendor/codeigniter4/framework/system/bootstrap.php::initialize
-44 - /Users/DevUser/CI4Project/Code/spark::require



The migrations have not been changed since the last time they were run, when Spark handled them fine.  Anyone any ideas?  

I have double checked with a composer update, and everything is up to date.

Rich
Reply

#2
Interestingly, having just manually created the tables to allow me to carry on testing, I am now hitting the same problem in code.

The error being within Kint?  See the screenshots below.  Could this be something to do with having been initially coding with one of the Beta releases?

Rich

   

   
Reply

#3
Ah solved the problem. For anyone else having a similar issue, I discovered that

config/Kint.php was missing (as was config/Email.php and config/Encryption.php) presumably something to do with the update from Beta to RC2 to v4.0.2. However, creating a new project, and copying those three files into my old project resolved the issue.
Rich
Reply


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2020 MyBB Group.